From: "Joonas Niilola" <juippis@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-sound/ncmpcpp/
Date: Mon, 21 Oct 2024 12:36:30 +0000 (UTC) [thread overview]
Message-ID: <1729514185.f1e7e792ab4402aa5d757b3e4ef770e4036e631e.juippis@gentoo> (raw)
commit: f1e7e792ab4402aa5d757b3e4ef770e4036e631e
Author: Filip Kobierski <fkobi <AT> pm <DOT> me>
AuthorDate: Thu Sep 26 13:13:14 2024 +0000
Commit: Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Mon Oct 21 12:36:25 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f1e7e792
media-sound/ncmpcpp: add 0.10_p20240912
- I have prepared a patch to fix bashism and it got merged upstream.
(72d990fe250da1e583677474b3462b9e9894130b)
I have decided to do a _p ebuild to avoid backporting it.
- add DOCS
Closes: https://bugs.gentoo.org/921561
Signed-off-by: Filip Kobierski <fkobi <AT> pm.me>
Closes: https://github.com/gentoo/gentoo/pull/38578
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>
media-sound/ncmpcpp/Manifest | 1 +
media-sound/ncmpcpp/ncmpcpp-0.10_p20240912.ebuild | 76 +++++++++++++++++++++++
2 files changed, 77 insertions(+)
diff --git a/media-sound/ncmpcpp/Manifest b/media-sound/ncmpcpp/Manifest
index 2052519ad8bf..dd017356ae2e 100644
--- a/media-sound/ncmpcpp/Manifest
+++ b/media-sound/ncmpcpp/Manifest
@@ -1,2 +1,3 @@
+DIST ncmpcpp-0.10_p20240912.gh.tar.gz 231708 BLAKE2B e695975524b890c04cf05c5648e4805a1e6ae31a4c6402c7c925f56ce08fe8a2eb68e7db9f5a5736859b2d2683e2f3e01b29587b97409280c8ed86cde40bcc9f SHA512 40aa37e10203173b1254150f60f2210c8bcb07ffe1174d0a1bb2d6281dfabae86144523021d70cb911e8e03e572f73c62e8e026dc0a57ae9831849deb146dbe5
DIST ncmpcpp-0.9.2_p20221231.gh.tar.gz 229678 BLAKE2B edb03554a14b90fbb5a4c99cb46ed73ffd702ff2fa417765d4e4bdaddd6bc40554f18aae10db81af87bbc8c91a4f966785fefdf43cfc97b18fc950c1aa59a370 SHA512 8affb5115c7531ee005544f002068b0b13b6aa41c5e11213ba8c979373a5328f298612903e531b6d384749469d6fa0ddb0d06ac4dac5ab2ca5485c7814db32a3
DIST ncmpcpp-0.9.2_p20240724.gh.tar.gz 230318 BLAKE2B dd1d464ab8a3e0d10b1a16c6737657190f57710c0e6d6da65270c8f10d1b8abe3877f9bc8b962df1ed82c5246576999f8f6e19523951657699b6b6670cc0e55d SHA512 9d7a52c6dde1459eb2a3606a43826007f43fcdcb01ddd9a1261ed427308dc909d5c73f1f01ffbaebc001b4b99c99ff0746aa869c6c31ae1fcabb70c3abc7f0ed
diff --git a/media-sound/ncmpcpp/ncmpcpp-0.10_p20240912.ebuild b/media-sound/ncmpcpp/ncmpcpp-0.10_p20240912.ebuild
new file mode 100644
index 000000000000..66960464f75a
--- /dev/null
+++ b/media-sound/ncmpcpp/ncmpcpp-0.10_p20240912.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools
+
+COMMIT="72d990fe250da1e583677474b3462b9e9894130b"
+
+DESCRIPTION="Featureful ncurses based MPD client inspired by ncmpc"
+HOMEPAGE="
+ https://rybczak.net/ncmpcpp/
+ https://github.com/ncmpcpp/ncmpcpp/
+"
+SRC_URI="https://github.com/ncmpcpp/ncmpcpp/archive/${COMMIT}.tar.gz -> ${P}.gh.tar.gz"
+S="${WORKDIR}/${PN}-${COMMIT}"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="clock outputs taglib visualizer"
+
+RDEPEND="
+ >=media-libs/libmpdclient-2.1
+ dev-libs/boost:=[icu,nls]
+ dev-libs/icu:=
+ net-misc/curl
+ sys-libs/ncurses:=[unicode(+)]
+ sys-libs/readline:=
+ taglib? ( media-libs/taglib )
+ visualizer? ( sci-libs/fftw:3.0= )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+DOCS=( CHANGELOG.md README.md )
+
+src_prepare() {
+ default
+ eautoreconf
+
+ sed -i -e '/^docdir/d' {,doc/}Makefile{.am,.in} || die
+ sed -i -e 's|COPYING||g' Makefile{.am,.in} || die
+}
+
+src_configure() {
+ local myeconfargs=(
+ --without-lto # --with-lto only appends -flto. We need more for a dedicated USE flag
+ $(use_enable clock)
+ $(use_enable outputs)
+ $(use_enable visualizer)
+ $(use_with taglib)
+ $(use_with visualizer fftw)
+ )
+
+ econf "${myeconfargs[@]}"
+}
+
+src_install() {
+ default
+
+ dodoc doc/{bindings,config}
+}
+
+pkg_postinst() {
+ echo
+ elog "Example configuration files have been installed at"
+ elog "${EROOT}/usr/share/doc/${PF}"
+ elog "${P} uses ~/.ncmpcpp/config and ~/.ncmpcpp/bindings"
+ elog "as user configuration files."
+ echo
+ if use visualizer; then
+ elog "If you want to use the visualizer, mpd needs to be built with fifo USE flag."
+ echo
+ fi
+}
next reply other threads:[~2024-10-21 12:36 UTC|newest]
Thread overview: 96+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-10-21 12:36 Joonas Niilola [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-10-22 12:38 [gentoo-commits] repo/gentoo:master commit in: media-sound/ncmpcpp/ Joonas Niilola
2024-08-04 8:16 Joonas Niilola
2024-07-18 7:50 Joonas Niilola
2024-07-18 7:50 Joonas Niilola
2024-03-14 6:51 Arthur Zamarin
2024-03-13 21:07 Sam James
2024-01-27 9:42 Joonas Niilola
2024-01-27 9:16 Joonas Niilola
2024-01-12 19:08 Michał Górny
2024-01-07 13:46 Michał Górny
2024-01-07 13:46 Michał Górny
2024-01-07 13:46 Michał Górny
2023-06-24 2:59 Sam James
2023-05-10 7:55 Joonas Niilola
2023-05-10 7:55 Joonas Niilola
2023-01-14 19:17 Sam James
2023-01-14 19:17 Sam James
2021-06-18 19:18 David Seifert
2021-05-17 6:55 Mikle Kolyada
2021-05-17 6:53 Mikle Kolyada
2021-05-17 6:53 Mikle Kolyada
2021-01-25 22:00 Mikle Kolyada
2020-12-27 14:37 Mikle Kolyada
2020-12-27 14:37 Mikle Kolyada
2020-11-05 18:29 Mikle Kolyada
2020-07-26 9:49 Jeroen Roovers
2020-07-26 9:44 Jeroen Roovers
2020-07-26 9:44 Jeroen Roovers
2020-04-17 16:24 Sergei Trofimovich
2020-04-12 11:02 Sergei Trofimovich
2019-10-30 9:39 Jeroen Roovers
2019-08-11 11:20 David Seifert
2019-04-21 10:08 Jeroen Roovers
2019-04-21 10:08 Jeroen Roovers
2019-04-04 9:12 Jeroen Roovers
2019-04-03 9:16 Jeroen Roovers
2018-10-15 11:34 Jeroen Roovers
2018-04-15 9:41 Jeroen Roovers
2018-04-15 9:41 Jeroen Roovers
2018-04-15 8:55 Jeroen Roovers
2018-02-10 12:56 Jeroen Roovers
2018-01-20 23:03 Andreas Sturmlechner
2017-10-22 17:15 Jeroen Roovers
2017-05-25 11:09 Jeroen Roovers
2017-02-15 7:16 Jeroen Roovers
2017-02-12 22:12 Jeroen Roovers
2017-02-05 16:53 Markus Meier
2017-02-02 7:25 Jeroen Roovers
2017-01-21 14:12 Jeroen Roovers
2017-01-03 10:38 Agostino Sarubbo
2016-12-29 10:45 Agostino Sarubbo
2016-12-29 9:39 Aaron Bauman
2016-11-05 10:24 Jeroen Roovers
2016-11-05 10:24 Jeroen Roovers
2016-10-05 18:50 Markus Meier
2016-10-01 12:41 Jeroen Roovers
2016-08-19 1:02 Jeroen Roovers
2016-08-19 1:02 Jeroen Roovers
2016-08-07 6:52 Pacho Ramos
2016-06-10 13:53 Agostino Sarubbo
2016-05-31 19:18 Markus Meier
2016-05-20 6:20 Jeroen Roovers
2016-04-21 15:40 Markus Meier
2016-04-17 7:45 Jeroen Roovers
2016-04-17 7:45 Jeroen Roovers
2016-04-10 8:37 Jeroen Roovers
2016-04-06 12:26 Agostino Sarubbo
2016-02-12 6:52 Jeroen Roovers
2016-02-03 20:45 Jeroen Roovers
2016-02-03 20:39 Markus Meier
2016-01-22 17:11 Jeroen Roovers
2016-01-20 6:06 Jeroen Roovers
2016-01-06 10:48 Jeroen Roovers
2016-01-02 18:53 Agostino Sarubbo
2016-01-02 17:43 Jeroen Roovers
2015-12-04 14:06 Jeroen Roovers
2015-11-13 6:59 Jeroen Roovers
2015-11-13 6:59 Jeroen Roovers
2015-11-13 6:59 Jeroen Roovers
2015-11-08 10:36 Jeroen Roovers
2015-11-07 12:13 Markus Meier
2015-11-06 6:53 Jeroen Roovers
2015-11-06 6:53 Jeroen Roovers
2015-11-05 11:20 Agostino Sarubbo
2015-10-18 18:14 Mikle Kolyada
2015-10-16 7:03 Mikle Kolyada
2015-10-09 5:21 Jeroen Roovers
2015-10-09 4:47 Jeroen Roovers
2015-09-21 11:27 Agostino Sarubbo
2015-09-14 4:33 Jeroen Roovers
2015-09-08 4:58 Jeroen Roovers
2015-08-26 15:56 Markus Meier
2015-08-12 4:58 Jeroen Roovers
2015-08-09 17:25 Mikle Kolyada
2015-08-09 11:08 Agostino Sarubbo
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1729514185.f1e7e792ab4402aa5d757b3e4ef770e4036e631e.juippis@gentoo \
--to=juippis@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox